// FILENAME: Server_NASHERC_WC.cs
//
// NASHERC Racing Server Script
// Winston Cup Series (WC) Restrictions


exec(serverLocation);
//-------------------------------------------------
//  RC file to start a server automatically
//-------------------------------------------------

//-------------------------------------------------
// Edit the parameters of this file to configure
// your server options. Use notepad, not a word
// processor. File must be saved as text only.
//-------------------------------------------------

//-------------------------------------------------
// Type the name for your server inside the quotes
// Must be less then 22 characters
//-------------------------------------------------
$server::Hostname = strcat("NASHERC Racing!");

//-------------------------------------------------
// Password Protection. Leave blank for none.
// Quotes optional.
//-------------------------------------------------
$server::Password =                                 "";

//-------------------------------------------------
// Maximum player limit. 16 is highest recommended.
//-------------------------------------------------
$server::MaxPlayers =                              10;

//-------------------------------------------------
// Number of kills before server cycles.
// If zero, kills are never reset.
//-------------------------------------------------
$server::FragLimit =                               0;

//-------------------------------------------------
// Time limit in minutes before server cycles.
// Must be a positive integer.
//-------------------------------------------------
$server::TimeLimit =                               0;

//-------------------------------------------------
// Mass limit per player
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::MassLimit =                                0;

//-------------------------------------------------
// Combat Value limit per player
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::CombatValueLimit =                         0;

//-------------------------------------------------
// Team play options. TeamPlay false =  deathmatch.
// TeamPlay true = teams
//-------------------------------------------------
$server::TeamPlay =                                FALSE;

//-------------------------------------------------
// Team Mass limit - valid only when teamPlay is true
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::TeamMassLimit =                            0;

//-------------------------------------------------
// Team Combat Value Limit - valid only when teamPlay is true
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::TeamCombatValueLimit =                     0;

//-------------------------------------------------
// Tech Level Limit
// Must be a positive integer less then or
// equal to 128 or zero for no limit.
//-------------------------------------------------
$server::TechLevelLimit =                          0;

//-------------------------------------------------
// Drop In Progress
// Does server allow drop in progress??
//-------------------------------------------------
$server::DropInProgress =                            TRUE  ;

$server::AllowMixedTech =                           FALSE  ;
$server::FactoryVehOnly =                           FALSE  ;

//-------------------------------------------------
// Mission rotation list. This is the order the
// worlds will cycle in a game with either the frag
// or time limits set.
//-------------------------------------------------
$MissionCycling::Stage0 =                          "RACE_WC_Daytona";
$MissionCycling::Stage1 =                          "RACE_WC_Charlotte";
$MissionCycling::Stage2 =                          "RACE_WC_LA";
$MissionCycling::Stage3 =                          "RACE_WC_Bristol";
$MissionCycling::Stage4 =                          "RACE_WC_Texas";
$MissionCycling::Stage5 =                          "RACE_WC_Rockingham";
$MissionCycling::Stage6 =                          "RACE_WC_Talladega";
$MissionCycling::Stage7 =                          "RACE_WC_Martinsville";
$MissionCycling::Stage8 =                          "RACE_WC_California";
$MissionCycling::Stage9 =                          "RACE_WC_Phoenix";
$MissionCycling::Stage10 =                         "RACE_WC_Sears_Point";
$MissionCycling::Stage11 =                         "RACE_WC_Manhattan";
$MissionCycling::Stage12 =                         "RACE_WC_Deep_Space";
$MissionCycling::Stage13 =                         "RACE_WC_Atlanta";
$MissionCycling::Stage14 =                         "RACE_WC_New_York";
$MissionCycling::Stage15 =                         "RACE_WC_RR_Spawne32";
$MissionCycling::Stage16 =                         "RACE_WC_FartWay";
$MissionCycling::Stage17 =                         "RACE_WC_Sidewinder";
$MissionCycling::Stage18 =                         "RACE_WC_Crater";
$MissionCycling::Stage19 =                         "RACE_WC_Sewer";
//-------------------------------------------------
// Start mission. Defines which mission from the
// rotation list the server starts on.
//-------------------------------------------------
$server::Mission = $MissionCycling::Stage0;

// These items will be allowed by default -- your mission script can change these
// by calling allowVehicle, allowComponent, or allowWeapon
function setAllowedItems()
{
      allowVehicle(  all, FALSE  );
      allowVehicle(  13, TRUE  );
      allowVehicle(  20, TRUE  );
      allowVehicle(  21, TRUE  );
      allowVehicle(  30, TRUE  );   
   
      allowWeapon(  all, TRUE  );
      allowWeapon(  106, FALSE  );
      allowWeapon(  107, FALSE  );
      allowWeapon(  109, FALSE  );
      allowWeapon(  110, FALSE  );
      allowWeapon(  112, FALSE  );
      allowWeapon(  113, FALSE  );
      allowWeapon(  115, FALSE  );
      allowWeapon(  120, FALSE  );
      allowWeapon(  121, FALSE  );
      allowWeapon(  124, FALSE  );
      allowWeapon(  125, FALSE  );
      allowWeapon(  126, FALSE  );
      allowWeapon(  127, FALSE  );
      allowWeapon(  128, FALSE  );
      allowWeapon(  129, FALSE  );
      allowWeapon(  130, FALSE  );
      allowWeapon(  131, FALSE  );
      allowWeapon(  132, FALSE  );
      allowWeapon(  133, FALSE  );
      allowWeapon(  134, FALSE  );
      allowWeapon(  135, FALSE  );
      allowWeapon(  136, FALSE  );
      allowWeapon(  142, FALSE  );
      allowWeapon(  147, FALSE  );
      allowWeapon(  150, FALSE  );

      allowComponent(  all, TRUE  );
      allowComponent(  102, FALSE  );
      allowComponent(  106, FALSE  );
      allowComponent(  107, FALSE  );
      allowComponent(  108, FALSE  );
      allowComponent(  109, FALSE  );
      allowComponent(  110, FALSE  );
      allowComponent(  111, FALSE  );
      allowComponent(  112, FALSE  );
      allowComponent(  113, FALSE  );
      allowComponent(  114, FALSE  );
      allowComponent(  115, FALSE  );
      allowComponent(  129, FALSE  );
      allowComponent(  130, FALSE  );
      allowComponent(  131, FALSE  );
      allowComponent(  133, FALSE  );
      allowComponent(  134, FALSE  );
      allowComponent(  135, FALSE  );
      allowComponent(  136, FALSE  );
      allowComponent(  137, FALSE  );
      allowComponent(  138, FALSE  );
      allowComponent(  139, FALSE  );
      allowComponent(  140, FALSE  );
      allowComponent(  141, FALSE  );
      allowComponent(  142, FALSE  );
      allowComponent(  143, FALSE  );
      allowComponent(  225, FALSE  );
      allowComponent(  227, FALSE  );
      allowComponent(  228, FALSE  );
      allowComponent(  230, FALSE  );
      allowComponent(  305, FALSE  );
      allowComponent(  307, FALSE  );
      allowComponent(  329, FALSE  );
      allowComponent(  330, FALSE  );
      allowComponent(  331, FALSE  );
      allowComponent(  332, FALSE  );
      allowComponent(  333, FALSE  );
      allowComponent(  426, FALSE  );
      allowComponent(  427, FALSE  );
      allowComponent(  428, FALSE  );
      allowComponent(  429, FALSE  );
      allowComponent(  430, FALSE  );
      allowComponent(  431, FALSE  );
      allowComponent(  433, FALSE  );
      allowComponent(  434, FALSE  );
      allowComponent(  809, FALSE  );
      allowComponent(  810, FALSE  );
      allowComponent(  811, FALSE  );
      allowComponent(  812, FALSE  );
      allowComponent(  813, FALSE  );
      allowComponent(  830, FALSE  );
      allowComponent(  860, FALSE  );
      allowComponent(  875, FALSE  );
      allowComponent(  880, FALSE  );
      allowComponent(  885, FALSE  );
      allowComponent(  900, FALSE  );
      allowComponent(  910, FALSE  );
      allowComponent(  912, FALSE  );
}


